unit uIDataModuleContactos;

interface

uses
  SysUtils, Classes,
  uBizContactos, uBizContactosDatosBancarios, uBizDireccionesContacto,
  uBizContactosPersonal, uBizContactosDirecciones;

type
  IDataModuleContactos = interface
    ['{835FFC4D-1AE9-4020-A042-C9D84EC25A2C}']
    function _GetItems (IDCategoria : Integer): IBizContacto;
    function _GetDatosBancarios : IBizContactosDatosBancarios;
    function _GetDirecciones: IBizDireccionesContacto;
    function _GetPersonal: IBizContactoPersonal;
    function NewDireccion : IBizDireccionesContacto;
    function GetContactosDirecciones : IBizContactosDirecciones;
    function GetContactoDirecciones(const IDContacto: Integer) : IBizContactosDirecciones;
  end;

implementation

end.
